<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.car.CarOilMapper">

    <resultMap id="carOilMap" type="com.tofly.pojo.car.CarOil">
        <id property="id" column="ID"/>
        <result property="carId" column="CAR_ID"/>
        <result property="quotaPre" column="QUOTA_PRE"/>
        <result property="quotaSuf" column="QUOTA_SUF"/>
        <result property="carMileage" column="CAR_MILEAGE"/>
        <result property="planOil" column="PLAN_OIL"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="realGasoil" column="REAL_GASOIL"/>
        <result property="delFlag" column="DEL_FLAG"/>
        <result property="realDieoil" column="REAL_DIEOIL"/>
        <result property="proportion" column="PROPORTION"/>
        <result property="sumMileage" column="SUM_MILEAGE"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.gpsboot.mapper.plan.HydrantrecordMapper.getRealName"></association>
    </resultMap>


</mapper>
